Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.businessconnector.genericasync.exception
Enum GenAsyncBusinessConnectorExceptionValues

    java.lang.Object
      java.lang.Enum<GenAsyncBusinessConnectorExceptionValues>
          be.ehealth.businessconnector.genericasync.exception.GenAsyncBusinessConnectorExceptionValues

All Implemented Interfaces:
  Serializable, Comparable<GenAsyncBusinessConnectorExceptionValues>

    public enum GenAsyncBusinessConnectorExceptionValues

extends Enum<GenAsyncBusinessConnectorExceptionValues>

Enumeration for possible Generic Async business exceptions.

Enum Constant Summary
`ERROR_XML_DMGVALIDATOR` XML is not correct: {0}
`ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR` XML is not correct: {0}
`MALFORMED_URL` Invalid url to {0} file
`PARAMETER_NULL` Could not find the settings file : {0}
`SEND_REQUEST_FAILED` Could not find the settings file : {0}
`SESSION_MANAGEMENT_ERROR` TargetService error description: {0}
`SETTINGS_NOT_FOUND` Could not find the settings file : {0}
`SIGNATURE_VALIDATION_ERROR` Could not find the settings file : {0}
`TARGET_SERVICE_ERROR` TargetService error description: {0}

Method Summary
`String` | `getErrorCode()`
`String` | `getMessage()`
`static GenAsyncBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GenAsyncBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TARGET_SERVICE_ERROR

    public static final GenAsyncBusinessConnectorExceptionValues TARGET_SERVICE_ERROR

  TargetService error description: {0}

### SESSION_MANAGEMENT_ERROR

    public static final GenAsyncBusinessConnectorExceptionValues SESSION_MANAGEMENT_ERROR

  TargetService error description: {0}

### MALFORMED_URL

    public static final GenAsyncBusinessConnectorExceptionValues MALFORMED_URL

  Invalid url to {0} file

### SETTINGS_NOT_FOUND

    public static final GenAsyncBusinessConnectorExceptionValues SETTINGS_NOT_FOUND

  Could not find the settings file : {0}

### ERROR_XML_DMGVALIDATOR

    public static final GenAsyncBusinessConnectorExceptionValues ERROR_XML_DMGVALIDATOR

  XML is not correct: {0}

### ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

    public static final GenAsyncBusinessConnectorExceptionValues ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

  XML is not correct: {0}

### PARAMETER_NULL

    public static final GenAsyncBusinessConnectorExceptionValues PARAMETER_NULL

  Could not find the settings file : {0}

### SEND_REQUEST_FAILED

    public static final GenAsyncBusinessConnectorExceptionValues SEND_REQUEST_FAILED

  Could not find the settings file : {0}

### SIGNATURE_VALIDATION_ERROR

    public static final GenAsyncBusinessConnectorExceptionValues SIGNATURE_VALIDATION_ERROR

  Could not find the settings file : {0}

Method Detail

### values

    public static GenAsyncBusinessConnectorExceptionValues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GenAsyncBusinessConnectorExceptionValues c : GenAsyncBusinessConnectorExceptionValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GenAsyncBusinessConnectorExceptionValues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getErrorCode

    public String getErrorCode()

  Returns:
    the errorCode

### getMessage

    public String getMessage()

  Returns:
    the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.